Skip to main content
`Ctrl`+`K`

# PetscMatlabEngineEvaluate

Evaluates a string in MATLAB

## Synopsis

    #include "petscmatlab.h"
    PetscErrorCode PetscMatlabEngineEvaluate(PetscMatlabEngine mengine, const char string[], ...)

Not Collective

## Input Parameters

- mengine - the MATLAB engine

- string - format as in a printf()

## Notes

Run the PETSc program with -info to always have printed back MATLAB’s response to the string evaluation

If the string utilizes a MATLAB script that needs to run in the engine, the script must be available via MATLABPATH on that machine.

## See Also

`PetscMatlabEngineDestroy()`, `PetscMatlabEnginePut()`, `PetscMatlabEngineGet()`, `PetscMatlabEngineCreate()`, `PetscMatlabEngineGetOutput()`, `PetscMatlabEnginePrintOutput()`, `PETSC_MATLAB_ENGINE_()`, `PetscMatlabEnginePutArray()`, `PetscMatlabEngineGetArray()`, `PetscMatlabEngine`

## Level

advanced

## Location

src/sys/classes/matlabengine/matlab.c

## Examples

src/snes/tutorials/ex55.c
src/snes/tutorials/ex5.c
src/vec/vec/tutorials/ex31.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages